GetSearchBotsQuery
Interface: GetSearchBotsQuery
Defined in: v0/index.ts:114
Query parameters for searching bots on Top.gg.
TODO: there is no documentation on a “search” parameter, but the endpoint is called “search bots” and it would make sense for there to be a search parameter. Need to confirm if this is the case and if so, add it to the types.
See
Properties
fields?
optionalfields?:string
Defined in: v0/index.ts:139
Comma separated list of fields to include in the response. If not provided, all fields will be included.
limit?
optionallimit?:number
Defined in: v0/index.ts:122
The amount of bots to return.
Minimum
1
Maximum
500
Default
offset?
optionaloffset?:number
Defined in: v0/index.ts:129
The amount of bots to skip (for pagination).
Minimum
0
Default
sort
sort: keyof Bot |
"-date"|"-id"|"-tags"|"-discriminator"|"-server_count"|"-shard_count"|"-username"|"-avatar"|"-defAvatar"|"-lib"|"-prefix"|"-shortdesc"|"-longdesc"|"-website"|"-support"|"-github"|"-owners"|"-guilds"|"-invite"|"-certifiedBot"|"-vanity"|"-points"|"-monthlyPoints"|"-donatebotguildid"
Defined in: v0/index.ts:135
The field to sort the bots by. Prefix with - for descending order.
There is no documented default.